This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 503989 - Kpackagekit crashes after packagekit update
Kpackagekit crashes after packagekit update
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kpackagekit (Show other bugs)
11
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Steven M. Parrish
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-03 13:32 EDT by Mary Ellen Foster
Modified: 2009-06-18 07:59 EDT (History)
7 users (show)

See Also:
Fixed In Version: 0.4.8-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-18 07:59:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 195003 None None None Never

  None (edit)
Description Mary Ellen Foster 2009-06-03 13:32:20 EDT
Description of problem:
After the update to PackageKit 0.4.8-1, kpackagekit now crashes as soon as you start it up. 

Version-Release number of selected component (if applicable):
kpackagekit-0.4.0-7.fc11.x86_64
PackageKit-0.4.8-1.fc11.x86_64

How reproducible:
Every time

Additional info:
Here's the backtrace from kcrash:

Application: KPackageKit (kpackagekit), signal SIGSEGV
0x0000003f0f0a3e30 in __nanosleep_nocancel () from /lib64/libc.so.6
[Current thread is 1 (Thread 0x7f267e6d6820 (LWP 3401))]

Thread 1 (Thread 0x7f267e6d6820 (LWP 3401)):
[KCrash Handler]
#5  QBasicAtomicInt::ref (this=<value optimized out>) at /usr/include/QtCore/qatomic_x86_64.h:121
#6  QHash<PackageKit::Client::Action, QHashDummyValue>::operator= (this=<value optimized out>) at /usr/include/QtCore/qhash.h:578
#7  QSet<PackageKit::Client::Action>::operator= (this=<value optimized out>) at /usr/include/QtCore/qset.h:63
#8  KpkAddRm::KpkAddRm(struct QWidget *) (this=<value optimized out>) at /usr/src/debug/kpackagekit-0.4.0/AddRm/KpkAddRm.cpp:61
#9  0x00007f2677156415 in KcmKpkAddRm::KcmKpkAddRm(struct QWidget *, const QVariantList &) (this=0x219a6e0, parent=<value optimized out>, args=<value optimized out>)
    at /usr/src/debug/kpackagekit-0.4.0/AddRm/KcmKpkAddRm.cpp:39
#10 0x00007f2677156ca5 in KPluginFactory::createInstance<KcmKpkAddRm, QWidget> (parentWidget=<value optimized out>, parent=<value optimized out>, args=@0x7fff86714950)
    at /usr/include/kde4/kpluginfactory.h:461
#11 0x000000360a9d8871 in KPluginFactory::create (this=0x2177040, iface=0x360bd61840 "KCModule", parentWidget=0x0, parent=0x2178c40, args=<value optimized out>, keyword=<value optimized out>)
    at /usr/src/debug/kdelibs-4.2.3/kdecore/util/kpluginfactory.cpp:191
#12 0x000000360f01ec8d in KPluginFactory::create<KCModule> (this=<value optimized out>, keyword=<value optimized out>, args=<value optimized out>, parent=<value optimized out>, 
    parentWidget=<value optimized out>) at /usr/src/debug/kdelibs-4.2.3/kdecore/util/kpluginfactory.h:515
#13 KService::createInstance<KCModule> (this=<value optimized out>, keyword=<value optimized out>, args=<value optimized out>, parent=<value optimized out>, parentWidget=<value optimized out>)
    at /usr/src/debug/kdelibs-4.2.3/kdecore/services/kservice.h:518
#14 KService::createInstance<KCModule> (this=<value optimized out>, keyword=<value optimized out>, args=<value optimized out>, parent=<value optimized out>, parentWidget=<value optimized out>)
    at /usr/src/debug/kdelibs-4.2.3/kdecore/services/kservice.h:495
#15 KService::createInstance<KCModule> (this=<value optimized out>, keyword=<value optimized out>, args=<value optimized out>, parent=<value optimized out>, parentWidget=<value optimized out>)
    at /usr/src/debug/kdelibs-4.2.3/kdecore/services/kservice.h:535
#16 KCModuleLoader::loadModule (this=<value optimized out>, keyword=<value optimized out>, args=<value optimized out>, parent=<value optimized out>, parentWidget=<value optimized out>)
    at /usr/src/debug/kdelibs-4.2.3/kutils/kcmoduleloader.cpp:90
#17 0x000000360f022f1e in KCModuleProxyPrivate::loadModule (this=0x21a9fa0) at /usr/src/debug/kdelibs-4.2.3/kutils/kcmoduleproxy.cpp:107
#18 0x000000360f023a75 in KCModuleProxy::realModule (this=<value optimized out>) at /usr/src/debug/kdelibs-4.2.3/kutils/kcmoduleproxy.cpp:83
#19 0x000000360f023b9c in KCModuleProxy::buttons (this=0x0) at /usr/src/debug/kdelibs-4.2.3/kutils/kcmoduleproxy.cpp:300
#20 0x000000360f01fe17 in KCMultiDialogPrivate::updateButtons (this=<value optimized out>, currentModule=0x0) at /usr/src/debug/kdelibs-4.2.3/kutils/kcmultidialog.cpp:71
#21 0x000000360f021511 in KCMultiDialog::addModule (this=0x1fb8460, moduleInfo=<value optimized out>, parentItem=<value optimized out>, args=<value optimized out>)
    at /usr/src/debug/kdelibs-4.2.3/kutils/kcmultidialog.cpp:342
#22 0x0000000000404f65 in kpackagekit::KPackageKit::showUi (this=0x7fff86716480) at /usr/src/debug/kpackagekit-0.4.0/KPackageKit/KPackageKit.cpp:125
#23 0x0000000000405285 in kpackagekit::KPackageKit::newInstance (this=0x7fff86716480) at /usr/src/debug/kpackagekit-0.4.0/KPackageKit/KPackageKit.cpp:109
#24 0x000000360bc0d2cd in KUniqueApplicationAdaptor::newInstance (args=<value optimized out>, asn_id=<value optimized out>, this=<value optimized out>)
    at /usr/src/debug/kdelibs-4.2.3/kdeui/kernel/kuniqueapplication_p.h:77
#25 KUniqueApplicationAdaptor::qt_metacall (args=<value optimized out>, asn_id=<value optimized out>, this=<value optimized out>)
    at /usr/src/debug/kdelibs-4.2.3/x86_64-redhat-linux-gnu/kdeui/kuniqueapplication_p.moc:75
#26 0x000000360a422fb4 in QDBusConnectionPrivate::deliverCall (this=<value optimized out>, object=<value optimized out>, msg=<value optimized out>, metaTypes=@0x7fff867158b8, 
    slotIdx=<value optimized out>) at qdbusintegrator.cpp:891
#27 0x000000360a424129 in QDBusConnectionPrivate::activateCall (this=<value optimized out>, object=0x1fcc290, flags=337, msg=@0x206f560) at qdbusintegrator.cpp:796
#28 0x000000360a4249e7 in QDBusConnectionPrivate::activateObject (this=<value optimized out>, node=@0x206f538, msg=<value optimized out>, pathStartPos=<value optimized out>)
    at qdbusintegrator.cpp:1352
#29 0x000000360a424c58 in QDBusActivateObjectEvent::placeMetaCall (this=0x206f4f0) at qdbusintegrator.cpp:1469
#30 0x000000360974ef39 in QObject::event (this=0x7fff86716480, e=0x206f4f0) at kernel/qobject.cpp:1118
#31 0x000000360af9420d in QApplication::event (this=0x7fff86716480, e=0x206f4f0) at kernel/qapplication.cpp:2318
#32 0x000000360af8ea8c in QApplicationPrivate::notify_helper (this=0x1fd5f10, receiver=0x7fff86716480, e=0x206f4f0) at kernel/qapplication.cpp:4057
#33 0x000000360af95e3e in QApplication::notify (this=0x7fff86716480, receiver=0x7fff86716480, e=0x206f4f0) at kernel/qapplication.cpp:4022
#34 0x000000360bc04b86 in KApplication::notify (this=0x7fff86716480, receiver=0x7fff86716480, event=0x206f4f0) at /usr/src/debug/kdelibs-4.2.3/kdeui/kernel/kapplication.cpp:307
#35 0x000000360973f61c in QCoreApplication::notifyInternal (this=0x7fff86716480, receiver=0x7fff86716480, event=0x206f4f0) at kernel/qcoreapplication.cpp:610
#36 0x000000360974011a in QCoreApplication::sendEvent (event=<value optimized out>, receiver=<value optimized out>) at kernel/qcoreapplication.h:213
#37 QCoreApplicationPrivate::sendPostedEvents (event=<value optimized out>, receiver=<value optimized out>) at kernel/qcoreapplication.cpp:1247
#38 0x0000003609768433 in QCoreApplication::sendPostedEvents () at kernel/qcoreapplication.h:218
#39 postEventSourceDispatch () at kernel/qeventdispatcher_glib.cpp:209
#40 0x0000003608637afe in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
#41 0x000000360863b1d8 in ?? () from /lib64/libglib-2.0.so.0
#42 0x000000360863b300 in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#43 0x00000036097680a6 in QEventDispatcherGlib::processEvents (this=0x1fad860, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:324
#44 0x000000360b02162e in QGuiEventDispatcherGlib::processEvents (this=0x0, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:202
#45 0x000000360973df52 in QEventLoop::processEvents (this=<value optimized out>, flags={i = 36}) at kernel/qeventloop.cpp:149
#46 0x000000360973e324 in QEventLoop::exec (this=0x7fff867163d0, flags={i = 0}) at kernel/qeventloop.cpp:200
#47 0x00000036097403c9 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:888
#48 0x00000000004043f2 in main (argc=<value optimized out>, argv=<value optimized out>) at /usr/src/debug/kpackagekit-0.4.0/KPackageKit/main.cpp:63
Warning: the current language does not match this frame.
Current language:  auto; currently minimal
Comment 1 Steven M. Parrish 2009-06-03 13:36:35 EDT
Talking with upstream re this issue

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Mary Ellen Foster 2009-06-03 16:42:48 EDT
Related upstream bug
Comment 3 Kevin Kofler 2009-06-03 17:09:14 EDT
Non-working updates in F11 + updates is a really bad thing. Hopefully the push request can be canceled. We need this fixed really quickly, at least before F11 gets officially released.
Comment 4 Valent Turkovic 2009-06-04 06:23:30 EDT
I also have the same bug. This is a show stopper for KDE users. Any chance it gets fixed before F11 ships? Or to roll back previous kpackagekit?
Comment 5 Valent Turkovic 2009-06-04 06:24:44 EDT
For me KPackageKit doesn't crash, it just shows error message and doesn't do the update :(

here is the log:
http://fpaste.org/paste/13851
Comment 6 Kevin Kofler 2009-06-04 07:54:22 EDT
rpm -e yum-remove-with-leaves
This is bug 502399, it's one of the bugs the PackageKit update fixes, but we need a matching KPackageKit before we can push it.
Comment 7 Kevin Kofler 2009-06-04 07:55:48 EDT
Actually: rpm -e yum-plugin-remove-with-leaves
By the way, the fix which got added to the new PackageKit is just to disable that plugin within PackageKit.
Comment 8 Fedora Update System 2009-06-07 05:05:04 EDT
kpackagekit-0.4.1-3.fc11,PackageKit-0.4.8-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/kpackagekit-0.4.1-3.fc11,PackageKit-0.4.8-1.fc11
Comment 9 Bug Zapper 2009-06-09 13:02:59 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Fedora Update System 2009-06-15 21:32:34 EDT
PackageKit-0.4.8-1.fc11, kpackagekit-0.4.1.1-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update PackageKit kpackagekit'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-6056
Comment 11 Fedora Update System 2009-06-18 07:59:22 EDT
PackageKit-0.4.8-1.fc11, kpackagekit-0.4.1.1-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.